Files
List files
Lists files for the given user, paginated.
GET
/v1/filesAuthorization
APIKeyHeader api-key<token>
In: header
Query Parameters
page?Page
Page number, 1-based.
Range
1 <= valueDefault
1limit?Limit
Number of files per page (max 100).
Range
1 <= value <= 100Default
30Header Parameters
user-id*User-Id
ID of the end user the file belongs to.
Match
^[A-Za-z0-9._\-@:]+$Length
length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/files" \ -H "user-id: string"{ "files": [ { "file_id": "9c3e00fe-1b42-413a-bf44-39ad9491ad86", "file_name": "test-file-reisekostenabrechnung.pdf" }, { "file_id": "cbfe557e-144e-43f3-823f-d72be00084a2", "file_name": "test-file-reisekostenabrechnung.pdf" } ], "limit": 30, "page": 1, "total": 4}{ "error_code": "attachment_document_raised_an_error", "detail": "The file attachment service has raised an error. Please try again later"}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "attachment_access_forbidden", "detail": "You do not have permission to access this attachment."}{ "error_code": "attachment_document_does_not_exist", "detail": "Document with `file_id` is not available for the user with `user_id` on the document server."}{ "error_code": "conflict", "detail": "Conflict - File is infected with a virus or it's still being processed"}{ "error_code": "attachment_url_invalid", "detail": "The provided base_url is not valid."}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}{ "error_code": "attachment_document_not_reachable", "detail": "The file attachment service does not respond as expected. Please try again later."}